import 'package:flutter/material.dart';
import 'package:screen_breakpoints/screen_breakpoints.dart';

import '../../packages/ambito_theme/ambito_theme.dart';
import '../appbar/ambito_appbar.dart';

class BasePage {
  Widget getPage(BuildContext context, Widget body) {
    final AmbitoTheme theme = getTheme(context);

    return Scaffold(
      appBar: AmbitoAppbar(
        links: const ['dashboard', 'massnahmen'],
        breakpoint: Breakpoint.fromContext(context),
        theme: theme,
      ),
      body: body,
    );
  }
}
